﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Elasticsearch Overview</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Elasticsearch Overview</h1>
        <p>Elasticsearch is an open-source software, which is readily-scalable as an application and user data search engine. Elasticsearch can perform extremely fast searches, supporting the data discovery from applications in seconds irrespective of data complexity and size.&#160;Elasticsearch is able to achieve fast search responses because, instead of searching the text directly, it searches for an index instead.&#160;This is like retrieving pages in a book related to a keyword by going through the index at the back of a book, rather than searching every word of every page of the book looking for the keyword.&#160;The indexed data can be retrieved from any nodes belonging to either application or user data.</p>
        <p>
            <img src="../Resources/Images/ElasticSearch.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 700px;height: 300px;" />
        </p>
        <p>
            <img src="../Resources/Images/elastic.jpg" style="width: 700px;height: 300px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <h2 id="OverviewaboutElasticsearch-Elasticsearchbasedcontrols">Elasticsearch based controls</h2>
        <p>Elasticsearch is integrated with Saviynt Identity Governance and Administration (IGA) application for the following reasons:&#160;</p>
        <ul>
            <li>Expedite the control run where there is a huge number of controls involved and controls need to be run on huge volume of data</li>
            <li>User or Organization based visibility</li>
            <li>Data level security</li>
        </ul>
        <h2 id="OverviewaboutElasticsearch-StepstointegrateElasticsearchwithEnterpriseIdentityCloud(EIC)">Steps to integrate Elasticsearch with Saviynt Identity Governance and Administration (IGA)</h2>
        <ol>
            <li>Download the Elasticsearch software from <a href="https://www.elastic.co/guide/en/elasticsearch/reference/2.4/setup-repositories.html" class="external-link" rel="nofollow">https://www.elastic.co/guide/en/elasticsearch/reference/2.4/setup-repositories.html</a></li>
            <li>If you are using Windows Platform, start the Elasticsearch engine by going to the path where you downloaded it. Double click on <strong>elasticsearch-6.0.1/bin/elasticsearch.bat</strong> file.<p class="auto-cursor-target">To view Elasticsearch based control in Saviynt IGA application:</p><ol style="list-style-type: lower-alpha;"><li><p class="auto-cursor-target">Add the following requestmap entries</p></li></ol><span class="attr">INSERT INTO REQUESTMAP (REQUESTMAPID,LANDINGPAGE,URL,CONFIGATTRIBUTE,DESCRIPTION,AUTHTYPE,PARENTMENU,PARENTMENUORDER) VALUES (148,0,'/analyticsConfigES/**','ROLE_ADMIN,ROLE_MANAGER,ROLE_Worker','ANALYTICS','analyticsConfigES_list',0,0) ;

INSERT INTO REQUESTMAP (REQUESTMAPID,LANDINGPAGE,URL,CONFIGATTRIBUTE,DESCRIPTION,AUTHTYPE,PARENTMENU,PARENTMENUORDER) VALUES (149,0,'/analyticsHistoryES/**','ROLE_ADMIN,ROLE_MANAGER,ROLE_Worker','ANALYTICS','analyticsHistoryES_list',0,0) ;</span><ol style="list-style-type: lower-alpha;" MadCap:continue="true"><li>Restart the Saviynt application to view Elasticsearch in Analytics page.</li></ol></li>
        </ol>
        <p>&#160;</p>
    </body>
</html>